# -*- coding: utf-8 -*-
import chronoptics.tof as tof
import time

serial = "202001a"

cam = tof.KeaCamera(tof.ProcessingConfig(), serial)
cam.setOnCameraProcessing(False)

cam_config = tof.CameraConfig(file_location="/some/file/location")
cam.setCameraConfig(cam_config)

writer = tof.createCsfWriterCamera("raw_frames.csf", cam)

stream_list = cam.getStreamList()

tof.selectStreams(cam, [tof.FrameType.RAW])

cam.start()

# Wait for camera to warm up
time.sleep(3)

nframes = 1000
for n in range(0, nframes):
    frames = cam.getFrames()

    for frame in frames:
        writer.writeFrame(frame)

    del frames

del cam
del writer
